Skip to main content
GET
/
api
/
v1
/
webhook-endpoints
/
{id}
Get a webhook endpoint by ID. Does not include signing secret.
curl --request GET \
  --url https://api.backside.app/api/v1/webhook-endpoints/{id} \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_enabled": true,
  "updated_at": "2023-11-07T05:31:56Z",
  "url": "<string>",
  "channels": [
    "<string>"
  ],
  "description": "<string>",
  "disabled_at": "2023-11-07T05:31:56Z",
  "disabled_reason": "<string>",
  "event_types": [
    "<string>"
  ],
  "signing_secret": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Webhook endpoint ID

Response

Webhook endpoint details

Endpoint response. signing_secret is only populated on create and rotate.

created_at
string<date-time>
required
id
string<uuid>
required
is_enabled
boolean
required
updated_at
string<date-time>
required
url
string
required
channels
string[] | null
description
string | null
disabled_at
string<date-time> | null
disabled_reason
string | null
event_types
string[] | null
signing_secret
string | null